import {Request, Response} from 'express';
import HttpMethod from './HttpMethod';
import HttpHandler from './HttpHandler';

abstract class Route extends HttpHandler {
	protected abstract method: HttpMethod;
	protected abstract action: (req: Request, res: Response) => any;

	public getMethod(): HttpMethod {
		return this.method;
	}
}

export default Route;