import Middleware from '../base/http/Middleware';
import session from 'express-session';
import Guid from '../base/util/Guid';

class SessionMiddleware extends Middleware {
	protected order = -98;
	protected route = null;
	protected action = session({ secret: Guid.new(), resave: false, saveUninitialized: false });
}

export default SessionMiddleware;