import {Request, Response} from 'express';
import Route from '../base/http/Route';
import HttpMethod from '../base/http/HttpMethod';
import StatusCodes from '../base/http/StatusCodes';

class GetIndex extends Route {
	protected order = 0;
	protected method = HttpMethod.GET;
	protected route = '/';
	protected action = (req: Request, res: Response): any => {
		res.status(StatusCodes.OK).send('org.crazydoctor.expressts server sample page');
	};
}

export default GetIndex;